Специалисты компании IOActive предупредили, что более 20 моделей роутеров Linksys можно скомпрометировать удаленно. Сами представители компании Linksys (ранее принадлежавшей Cisco, а теперь компании Belkin) уже подтвердили эти данные, опубликовав на официальном сайте полный список проблемных моделей.

Согласно официальным сообщениям IOActive и Linksys, работа над патчами для обнаруженных уязвимостей уже ведется, но пока исправления еще не готовы. Именно по этой причине исследователи пока не стали публиковать полный технический отчет о проблемах, ограничившись лишь их общим описанием. По словам специалистов, суммарно они обнаружили десяток уязвимостей, шесть из которых можно эксплуатировать удаленно. Основные проблемы таковы:

Первый баг позволяет атакующему отправить роутеру сформированный особенным образом вредоносный запрос, что спровоцирует отказ в обслуживании (denial-of-service, DoS). Фактически роутер «зависнет» или будет перезагружаться до тех пор, пока атакующий продолжает слать устройству запросы.

Вторая проблема позволяет обойти аутентификацию, а затем собрать информацию об устройстве и его пользователях. В частности злоумышленники смогут узнать версию прошивки, версию ядра Linux, смогут просмотреть список запущенных процессов и подключенных USB-устройств, WPS PIN для Wi-Fi соединения, настройки брандмауэра, FTP- и SMB-серверов.

Третья уязвимость является наиболее серьезной и позволяет аутентифицированному атакующему удаленно выполнить произвольный код. Исследователи отмечают, что атакующий может создать на устройстве бэкдор-аккаунт с root-привилегиями, который не будет отображаться в веб-панели управления, и его не сможет удалить даже администратор.

Специалисты IOActive пишут, что во время тестов им удалось обнаружить более 7000 уязвимых устройств (более 700 из них используют учетные данные по умолчанию), однако на самом деле таковых гораздо больше, так как в список, к примеру, не вошли роутеры защищенные файрволами.

Уязвимые устройства по странам

Представители Linksys настоятельно рекомендуют пользователям сменить логин и пароль по умолчанию, если они еще этого не сделали, а также советуют отключить гостевую Wi-Fi сеть и своевременно обновлять свои устройств.

Полный список уязвимых моделей можно увидеть ниже.

Серия WRT: 

  • WRT1200AC
  • WRT1900AC
  • WRT1900ACS
  • WRT3200ACM

Серия EAxxxx: 

  • EA2700
  • EA2750
  • EA3500
  • EA4500 v3
  • EA6100
  • EA6200
  • EA6300
  • EA6350 v2
  • EA6350 v3
  • EA6400
  • EA6500
  • EA6700
  • EA6900
  • EA7300
  • EA7400
  • EA7500
  • EA8300
  • EA8500
  • EA9200
  • EA9400
  • EA9500

Фото: IOActive



1 комментарий

  1. Themistocles

    24.04.2017 at 17:02

    Хорошо не в общий доступ, а то и так ботнеты растут на глазах.

Оставить мнение